Subject: Re: Symlinks don't work in python???
From: Jason Tishler <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 7 May 2005 12:13:16 -0400

Steve,

On Tue, Apr 19, 2005 at 08:48:16AM -0400, Jason Tishler wrote:
> You can workaround the problem by defining PYTHONCASEOK:
> 
>     $ PYTHONCASEOK= python -c 'import bar'
>     $
> 
> I will work with the Python developers to try to come up with a better
> long term solution.

I have found the long term solution to this problem:

    http://sf.net/tracker/index.php?func=detail&aid=1197318&group_id=5470&atid=305470

The solution was actually much easier than I thought -- it just makes
Cygwin use the Mac OS X case checking function (i.e, case_ok()) instead
of a modified Window's version.

The next Cygwin Python package will have the above mentioned patch
applied.

Thanks for helping to uncover this bug.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/